//
//  KYCInformationAlertView.swift
//  AlloVoisinsSwiftUI
//
//  Created by Victor on 11/12/2024.
//

import SwiftUI

struct KYCInformationAlertView: View {
    var body: some View {
        HStack {
            SQIcon(.triangle_exclamation, size: .xl, color: .sqRed(80))
            VStack(alignment: .leading) {
                SQText("Mangopay facturera le montant de la vérification dès lors que vous aurez soumis un document à vérification.")
                    .sqSize(14)
                    .sqFont(.semiBold)
                    .sqColor(.sqRed(80))
            }
        }
        .frame(maxWidth: .infinity)
        .foregroundStyle(.white)
        .padding(16)
        .background(Color.sqRed(20))
        .cornerRadius(8)
    }
}

#Preview {
    KYCInformationAlertView()
        .padding()
}
